/************ HEADER **************************************************************************************/

header{
	display: block;
	width: 100%;
	height:50px;
	background-color: #fff;
	background-image: linear-gradient(#fff,#f2f2f2);
	border-bottom: 1px solid rgb(255, 255, 255, .8);
	z-index: 90;
}

.header-bar {
	display: flex;
	flex-direction: row;
	align-items: center;
	width: 100%;
	z-index:9;
}

/************ HEADER-USER *************************************************************************************

.header-user {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	width: 20%;
	height: auto;
	position: relative;
}

.header-user label {
	width: 100%;
	padding-left: 12px;
	font-size: 1.2em;
}

.header-user input {
	display: none;
}


.header-user p {
	display: none;
}

/************ NAV-USER *************************************************************************************

#checkbox-user:checked ~ .nav-user {
	display: block;
}

.nav-user {
	width: 200px;
	display: none;
	position: absolute;
	top: 40px;
	left: 0px;
	transition: 0.25s ease-in-out;
	background-image: linear-gradient(#eee, #aaa);
}

.nav-user li a {
	display: block;
	padding: 10px 8px;
	color: #333;
	border-bottom: 1px solid #aaa;
	border-right: 1px solid #aaa;
}
	
/************ HEADER **************************************************************************************/
	
.header-logo {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 60%;
	margin-left: 20%;
	height: 50px;
}

.header-logo p {
	width: auto;
	font-weight: bolder;
}

.header-logo img {
	width: 140px;
	margin-left: 20%;
}

#checkbox-menu {
	position: relative;
	display: none;
}
	
label.checkbox-menu {
	width: 20%;
	height: 30px;
	margin:auto;
	position: relative;
}

label.checkbox-menu span {
	position: absolute;
	right: 20px;
	display: block;
	width: 100%;
	max-width: 32px;
	height: 2px;
	background-color: #777;
	transition: 0.25s ease-in-out;
}

label.checkbox-menu span:nth-child(1) {
	top:10px;
}

label.checkbox-menu span:nth-child(2) {
	top:18px;
}

label.checkbox-menu span:nth-child(3) {
	top:26px;
}

#checkbox-menu:checked ~ label.checkbox-menu span:nth-child(1) {
	transform: rotate(45deg);
	top: 18px;
}

#checkbox-menu:checked ~ label.checkbox-menu span:nth-child(2) {
	opacity: 0;
}

#checkbox-menu:checked ~ label.checkbox-menu span:nth-child(3) {
	transform: rotate(-45deg);
	top: 18px;
}

#checkbox-menu:checked ~ nav.main {
	left: 0px;
}

/************ NAV **************************************************************************************/

nav.main {
	width:80%;
	max-width: 200px;
	height: 100%;
	position: fixed;
	top: 0px; 
	left:-100%;
	overflow-y: auto;
	background-image: linear-gradient(#777, #000);
	border-right: 1px solid #ddd;
	box-shadow: 4px 0px 12px #000;
	z-index:99;
	transition: 0.5s ease-in-out;
}

nav.main ul li {
	display: block;
	border-bottom: 1px solid #999;
}

nav.main ul li a {
	display: block;
	padding: 18px 12px 12px;
	color: #eee;
	letter-spacing: 1px;
}

nav.main ul li a:hover {
	background-color: #444;
	color: #fff;
}

@media screen and (min-width:764px){

	/************ HEADER 750 **************************************************************************************/
	header{
		height: 100px;
	}
	
	.header-bar {
		flex-wrap: wrap;
		justify-content: center;
	}
	
	.header-logo {
		width: auto;
		height: 50px;
		margin-left: 0px;
		padding: 0px 36px;
	}

	.header-logo img, .header-logo p {
		margin-left: 0%;
	}

	label.checkbox-menu {
		display: none;
	}
	
	/************ NAV 750 **************************************************************************************/

	nav.main {
		width: 750px;
		max-width: 100%;
		height: auto;
		position: static;
		background-image: none;
		border: 0px solid var(--border-color-nav-mobile);
		box-shadow: 0px 0px 0px #fff;
	}

	nav.main ul {
		display: flex;
		flex-direction: row;
		align-items: center;
		justify-content: space-around;
		padding-bottom: 4px;
	}

	nav.main ul li {
		border-bottom: 0px solid #fff;
	}

	nav.main ul li a {
		color: #777;
		padding: 8px 2px 2px;
		border-bottom: 1px solid #fff;
	}

	nav.main ul li a:hover {
		background-color: #fff;
		border-bottom: 1px solid skyblue;
		color: skyblue;
		
	}

}

@media screen and (min-width:920px) {
	
	/************ HEADER 920 **************************************************************************************/

	.header-bar {
		justify-content: space-between;
	}

	.header-logo {
		height: 60px;
		padding: 24px;
	}
	
	/************ NAV 920 **************************************************************************************/

	nav.main ul {
		padding-top: 24px;
	}

		
}



